com.lowagie.text

## Class DocumentException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.lowagie.text.DocumentException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  BadElementException, PdfException

    public class DocumentException
    extends java.lang.Exception

Signals that an error has occurred in a `Document`.

See Also:
  `BadElementException`, `Document`, `DocWriter`, `DocListener`, Serialized Form

### Field Summary

Fields
`private static long` `serialVersionUID` A serial version UID

### Constructor Summary

Constructors
Constructor and Description
`DocumentException()` Constructs a `DocumentException` without a message.
`DocumentException(java.lang.Exception ex)` Creates a Document exception.
`DocumentException(java.lang.String message)` Constructs a `DocumentException` with a message.

### Method Summary

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### serialVersionUID

    private static final long serialVersionUID

A serial version UID

See Also:
  Constant Field Values

### Constructor Detail

#### DocumentException

    public DocumentException(java.lang.Exception ex)

Creates a Document exception.

Parameters:
  `ex` - an exception that has to be turned into a DocumentException

#### DocumentException

    public DocumentException()

Constructs a `DocumentException` without a message.

#### DocumentException

    public DocumentException(java.lang.String message)

Constructs a `DocumentException` with a message.

Parameters:
  `message` - a message describing the exception